# CLI Cheatsheet

## Cache 
```
cache:clean 	Clean expired cache entries
```

## Config 
```
config:get 	Display the current value of a configuration option
config:set 	Set a value for a configuration option
```

## Core 
```
core:check-updates 	Check for Joomla updates
core:update 	Update Joomla
```

## Database 
```
database:export 	database:export
database:import 	Import the database
```

## Extension 
```
extension:discover 	Discover extensions
extension:discover:install 	Install discovered extensions
extension:discover:list 	List discovered extensions
extension:install 	Install an extension from a URL or from a path
extension:list 	List installed extensions
extension:remove 	Remove an extension
```

## Finder 
```
finder:index 	Purges and rebuild the index
Scheduler 
scheduler:list 	List all scheduled tasks
scheduler:run 	Run one or more scheduled tasks
scheduler:state 	Enable, disable or trash a scheduled task
```

## Session 
```
session:gc 	Perform session garbage collection
session:metadata:gc 	Perform session metadata garbage collection
```

## Site 
```
site:down 	Put the site into offline mode
site:up 	Put the site into online mode
```

## Update 
```
update:extensions:check 	Check for pending extension updates
update:joomla:remove-old-files 	Remove old system files
```

## User 
```
user:add 	Add a user
user:addtogroup 	Add a user to a group
user:delete 	Delete a user
user:list 	List all users
user:removefromgroup 	Remove a user from a group
user:reset-password 	Change a user's password
```

## References

* [Joomla Magazine - Powerful cli](https://magazine.joomla.org/all-issues/june-2022/joomla-4-a-powerful-cli-application)